Bug 1142546 - CVE-2014-3621 openstack-keystone: configuration data information leak through Keystone catalog [fedora-all] [NEEDINFO]
Summary: CVE-2014-3621 openstack-keystone: configuration data information leak through...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-keystone
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro, fst_ping=2
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-3621
TreeView+ depends on / blocked
 
Reported: 2014-09-17 03:01 UTC by Murray McAllister
Modified: 2015-06-29 22:35 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-29 22:35:00 UTC
dac: needinfo? (apevec)
dac: needinfo? (apevec)


Attachments (Terms of Use)

Description Murray McAllister 2014-09-17 03:01:58 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-09-17 03:02:05 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1139937,1142546

# Description of your update
notes=Security fix for CVE-2014-3621

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1139937,1142546

Comment 3 David A. Cafaro 2015-04-06 20:48:31 UTC
Still no update for openstack-keystone-2014.1.2.1-1.fc21 (or fc20)

There are several upstream patches to choose from the upstream ticket https://bugzilla.redhat.com/show_bug.cgi?id=1139937

Can we get an update for this package for FC20-22?

Comment 4 David A. Cafaro 2015-04-24 15:48:42 UTC
This bug has been around for a while, any update on the status of a fix?

Comment 5 David A. Cafaro 2015-04-29 12:56:52 UTC
What is the status of this update?  Any timelines?

Comment 6 David A. Cafaro 2015-05-06 17:09:27 UTC
If we can't get an update on this we will have to begin the orphaning process.

Comment 7 David A. Cafaro 2015-05-28 01:25:00 UTC
Last ping on this before it goes to non-responsive maintainer process.

Comment 8 Fedora End Of Life 2015-05-29 12:54:04 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Eric Christensen 2015-05-29 18:28:42 UTC
There is a patch available on the tracker bug to fix this vulnerability.  I'm trying to determine in what version upstream patched this as there are multiple versions in Fedora, now.

Comment 10 David A. Cafaro 2015-06-04 14:04:58 UTC
This vulnerability exists i the following:

Title: Configuration option leak through Keystone catalog
Reporter: Brant Knudson (IBM)
Products: Keystone
Versions: up to 2013.2.3 and 2014.1 versions up to 2014.1.2.1


Current versions in fedora package system:
Rawhide   2015.1.0-1.fc23 	None
Fedora 22 2014.2.2-1.fc22 	None
Fedora 21 2014.1.2.1-1.fc21 	None
Fedora 20 2013.2.3-5.fc20 	None

It's Possible Fedora 21 is still vulnerable, need to check if it's up to or up to and including 2014.1.2.1.

Comment 11 David A. Cafaro 2015-06-04 14:08:02 UTC
Confirmed that 2014.1.2.1 contains the fix:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-3621

"The catalog url replacement in OpenStack Identity (Keystone) before 2013.2.3 and 2014.1 before 2014.1.2.1 allows remote authenticated users to read sensitive configuration options via a crafted endpoint, as demonstrated by "$(admin_token)" in the publicurl endpoint field."

This only affects the fedora 20 version which is almost end of life.

Comment 12 Fedora End Of Life 2015-06-29 22:35:00 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.